
From: Manu Abraham <manu@linuxtv.org>

Fix BUG in DVB-C frequency setting.  Thanks to Peng Cao <caopeng75@gmail.com>

Signed-off-by: Manu Abraham <manu@linuxtv.org>
Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/bt8xx/dst.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/media/dvb/bt8xx/dst.c~dvb-dst-fix-dvb-c-tuning drivers/media/dvb/bt8xx/dst.c
--- devel/drivers/media/dvb/bt8xx/dst.c~dvb-dst-fix-dvb-c-tuning	2005-09-04 16:52:05.000000000 -0700
+++ devel-akpm/drivers/media/dvb/bt8xx/dst.c	2005-09-04 16:52:05.000000000 -0700
@@ -359,6 +359,7 @@ static int dst_set_freq(struct dst_state
 		state->tx_tuna[3] = (freq >> 8) & 0xff;
 		state->tx_tuna[4] = (u8) freq;
 	} else if (state->dst_type == DST_TYPE_IS_CABLE) {
+		freq = freq / 1000;
 		state->tx_tuna[2] = (freq >> 16) & 0xff;
 		state->tx_tuna[3] = (freq >> 8) & 0xff;
 		state->tx_tuna[4] = (u8) freq;
_
